%define	LNG de
%define	srcname manpages-%{LNG}

Name:		man-pages-%{LNG}
Version:	1.0
Release:	%mkrel 3
Summary:	German man (manual) pages from the Linux Documentation Project
License:	GPLv3
Group:		System/Internationalization
Url:		http://alioth.debian.org/projects/manpages-%{LNG}/
BuildArch:	noarch

Source0:	http://manpages-de.alioth.debian.org/downloads/%{srcname}-%{version}.tar.bz2

BuildRequires:	man
BuildRequires:  po4a
BuildRequires:  grep

Requires:	locales-%LNG
Requires:	man
Obsoletes:	man-%LNG
Obsoletes:	manpages-%LNG
Provides:	man-%LNG
Provides:	manpages-%LNG

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to German.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}passwd,
                    nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

#mkdir -p %{buildroot}/%{_mandir}/%{LNG}/man{1,2,3,4,5,6,7,8,9,n}
#mkdir -p %{buildroot}%{_var}/catman/%{LNG}/cat{1,2,3,4,5,6,7,8,9,n}
#
#for i in 1 2 3 4 5 6 7 8; do
#	if [ -d man$i ] ; then
#		cp -avf man$i %{buildroot}%{_mandir}/%{LNG}/
#	else
#		echo "man$i does not exist"
#	fi
#done
#
## those files conflict whith net-tools
## nothing to remove for now
#
LANG=%{LNG} DESTDIR=%{buildroot} %{_sbindir}/makewhatis %{buildroot}/%{_mandir}/%{LNG}

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LNG.cron << EOF
#!/bin/bash
LANG=%{LNG} %{_sbindir}/makewhatis %{_mandir}/%{LNG}
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

mkdir -p  %{buildroot}%{_var}/cache/man/%{LNG}

touch %{buildroot}%{_var}/cache/man/%{LNG}/whatis

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LNG}, if there isn't any man page
   ## directory /%{_mandir}/%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       rm -rf %{_var}/catman/%{LNG}
   fi
fi

%post
%create_ghostfile %{_var}/cache/man/%{LNG}/whatis root root 644

%files
%doc CHANGES README COPYRIGHT
%dir %{_mandir}/%{LNG}
%dir %{_var}/cache/man/%{LNG}
%ghost %config(noreplace) %{_var}/cache/man/%{LNG}/whatis
%{_mandir}/%{LNG}/man*
%{_mandir}/%{LNG}/whatis
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 507708
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 359366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 1.0-1.mga3
+ Revision: 260588
- New version

* Sun Dec 11 2011 obgr_seneca <obgr_seneca> 0.9-1.mga2
+ Revision: 180620
- new version 0.9
- new upstream url at debian alioth

* Mon Jan 10 2011 ahmad <ahmad> 0.5-8.mga1
+ Revision: 5473
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-de


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2011.0
+ Revision: 609318
- rebuild
- fix build
- fix typos
- fix build
- rebuild
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.5-5mdv2009.1
+ Revision: 351569
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.5-4mdv2009.0
+ Revision: 223171
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.5-3mdv2008.1
+ Revision: 152929
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.5-2mdv2008.1
+ Revision: 152924
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Apr 24 2007 Thierry Vignaud <tv@mandriva.org> 0.5-1mdv2008.0
+ Revision: 17838
- new release


* Thu Mar 02 2006 Gtz Waschk <waschk@mandriva.org> 0.4-5mdk
- drop patch 0
- drop prereq
- drop icon
- fix URL

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4-4mdk
- rebuild

